Bug 1535926 - CVE-2018-6003 libtasn1: Stack exhaustion due to indefinite recursion during BER decoding [fedora-all]
Summary: CVE-2018-6003 libtasn1: Stack exhaustion due to indefinite recursion during B...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libtasn1
Version: 27
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Nikos Mavrogiannopoulos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2018-6003
TreeView+ depends on / blocked
 
Reported: 2018-01-18 09:35 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-14 12:56 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-01-23 21:46:59 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2018-01-18 09:35:05 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Huzaifa S. Sidhpurwala 2018-01-18 09:35:11 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1535578,1535926

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2018-01-18 11:51:43 UTC
libtasn1-4.13-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-da4263f065

Comment 3 Fedora Update System 2018-01-18 12:04:20 UTC
libtasn1-4.13-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ef303deec6

Comment 4 Fedora Update System 2018-01-18 22:22:50 UTC
libtasn1-4.13-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ef303deec6

Comment 5 Fedora Update System 2018-01-23 21:46:59 UTC
libtasn1-4.13-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-02-06 10:47:40 UTC
libtasn1-4.13-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Chris Greenwalty 2019-01-21 19:33:40 UTC Comment hidden (spam)

Note You need to log in before you can comment on or make changes to this bug.